﻿using BPA.KitChen.GroupMeal.Application.Service.AExternalPlatform.Service.DiningPlateService.Dtos;
using BPA.KitChen.GroupMeal.Core.Entity;
using Furion.DynamicApiController;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Application.Service.AExternalPlatform.Service.ShopService
{

    [ApiDescriptionSettings("开放平台", Tag = "店铺管理"), AllowAnonymous]
    public class ShopServices: IDynamicApiController
    {

        private readonly Service.IShopService _shopService;

        public ShopServices(Service.IShopService shopService)
        {
            _shopService = shopService;
        }

        /// <summary>
        /// 获取店铺信息
        /// </summary>
        /// <returns></returns>
        [HttpPost("/api/ExternalPlatform/DiningPlate/GetShopInfo")]
        public async Task<ShopEntity> GetShopInfo()
        {
            return await _shopService.GetShopInfo();
        }
    }
}
