﻿using BPA.KitChen.GroupMeal.Application.BaseDto;
using BPA.KitChen.GroupMeal.Core.Entity;
using BPA.KitChen.GroupMeal.Core.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Application.Service.OneCard.DiningPlate.Dtos
{

    public class DiningPlateDto : BPA_DiningPlate
    {
        /// <summary>
        /// 是否占用
        /// </summary>
        public bool IsOccupy { get; set; }

        public string WeighOrderId { get; set; }
    }

    public class DiningPlateCreateOrUpdataDto
    {

        public string Id { get; set; }

        /// <summary>
        /// 二维码
        /// </summary>
        public string QRCode { get; set; }

        /// <summary>
        /// 芯片码
        /// </summary>
        public string ChipCode { get; set; }

        public bool IsPay { get; set; }

    }

    public class DiningPlatePageIndexDto : PageInputBase
    {
        /// <summary>
        /// 二维码
        /// </summary>
        public string QRCode { get; set; }

        /// <summary>
        /// 芯片码
        /// </summary>
        public string ChipCode { get; set; }

        public CommonStatus? Status { get; set; }

        /// <summary>
        /// 是否占用
        /// </summary>
        public string IsOccupy { get; set; }
    }

    public class DiningPlateOccupyDto
    {
        /// <summary>
        /// 餐盘信息
        /// </summary>
        public string DiningPlateId { get; set; }

        public string WeighOrderId { get; set; }

        /// <summary>
        /// 是否占用
        /// </summary>
        public bool IsOccupy { get; set; }
    }


    public class GetDiningPlateInfoByQRCodeDto
    {
        public string qrCode { get; set; }
    }

    public class GetDiningPlateInfoByIdDto
    {
        public string Id { get; set; }
    }

    public class GetDiningPlateInfoByChipCodeListDto
    {
        public List<string> ChipCodeList { get; set; }
    }
}
